SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Server/CGI)  >   Squid Vendors:   Squid-cache.org
Squid SSL Handshake Error Processing Flaw Lets Remote Users Deny Service
SecurityTracker Alert ID:  1035045
SecurityTracker URL:  http://securitytracker.com/id/1035045
CVE Reference:   CVE-2016-2390   (Links to External Site)
Date:  Feb 18 2016
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 3.5.13, 4.0.4 - 4.0.5
Description:   A vulnerability was reported in Squid. A remote user can cause denial of service conditions on the target system.

A remote user (server) can return specially crafted SSL/TLS data to the target connected proxy to trigger SSL handshake errors and cause the target proxy service to crash.

Systems built with the '--with-openssl' option are affected.

Mathias Fischer and Fabian Hugelshofer from Open Systems AG reported this vulnerability.

Impact:   A remote user can cause the target connected proxy service to crash.
Solution:   The vendor has issued a fix (4.0.6, 3.5.14, 4.0.6).

The vendor's advisory is available at:

http://www.squid-cache.org/Advisories/SQUID-2016_1.txt

Vendor URL:  www.squid-cache.org/Advisories/SQUID-2016_1.txt (Links to External Site)
Cause:   State error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC